---
layout: release
date: 2021-10-04
tag: v0.5.63-rc-1
---

## What's New
## 🔤 General
- [Performance] Performance REST API migration to GraphQL @bariqhibat (#3960)
- added undefined check in columns @manav1403 (#4284)
- added remote dependency for icon @warunicorn19 (#4282)

## ⌨️ Meshery CLI

- Kubernetes as default platform to deploy Meshery @navendu-pottekkat (#4328)
- [mesheryctl] Add unit tests for utils/platform @krithikvaidya (#4134)
- Fix pinning version on latest channel in Docker platform @navendu-pottekkat (#4276)

## 🖥 Meshery UI

- changed modal styles to maintain consistency @warunicorn19 (#4316)
- added maximize and minimize to filters @warunicorn19 (#4278)
- [UI] Add smp icon @sudo-NithishKarthik (#4271)

## 🔋 Patterns, Filters, Applications

- Import using url - Patterns and Filters @Meghana-12 (#4212)
- Added support for k8s pattern generation @Revolyssup (#4277)
- use latest version of jsonschema utility in meshery container image @DelusionalOptimist (#4272)

## 🧰 Maintenance

- [mesheryctl] Add unit tests for utils/platform @krithikvaidya (#4134)
- Bump nodemon from 2.0.12 to 2.0.13 in /provider-ui @dependabot (#4294)
- Bump jss from 10.7.1 to 10.8.0 in /provider-ui @dependabot (#4297)
- Bump glob-parent from 6.0.1 to 6.0.2 in /provider-ui @dependabot (#4293)
- Bump react-redux from 7.2.4 to 7.2.5 in /ui @dependabot (#4299)
- Bump immutable from 4.0.0-rc.14 to 4.0.0-rc.15 in /ui @dependabot (#4302)
- Bump start-server-and-test from 1.13.1 to 1.14.0 in /provider-ui @dependabot (#4291)
- Bump cypress from 8.3.1 to 8.5.0 in /provider-ui @dependabot (#4288)
- Bump @cypress/code-coverage from 3.9.10 to 3.9.11 in /provider-ui @dependabot (#4287)
- Bump eslint-plugin-cypress from 2.11.3 to 2.12.1 in /ui @dependabot (#4292)
- Bump github.com/layer5io/meshery-operator from 0.2.20 to 0.2.21 @dependabot (#4307)
- Bump @cypress/code-coverage from 3.9.10 to 3.9.11 in /ui @dependabot (#4300)
- Bump eslint-plugin-cypress from 2.11.3 to 2.12.1 in /provider-ui @dependabot (#4290)
- Bump eslint-plugin-react from 7.24.0 to 7.26.1 in /ui @dependabot (#4303)
- Bump jss from 10.7.1 to 10.8.0 in /ui @dependabot (#4289)
- Bump github.com/prometheus/common from 0.30.0 to 0.31.1 @dependabot (#4311)
- Bump @fortawesome/free-regular-svg-icons from 5.15.3 to 5.15.4 in /ui @dependabot (#4304)
- Bump eslint-plugin-react from 7.25.1 to 7.26.1 in /provider-ui @dependabot (#4296)
- [CI] e2e tests for multiple k8s versions using meshery-smp-action @DelusionalOptimist (#4279)
- use latest version of jsonschema utility in meshery container image @DelusionalOptimist (#4272)

## 📖 Documentation

- Kubernetes as default platform to deploy Meshery @navendu-pottekkat (#4328)
- Update ROADMAP.md @vedant-kakde (#4286)
- Update perf docs: instructions to download token and update action configuration @navendu-pottekkat (#4281)
- Add instructions for installing Meshery on EKS cluster @alphaX86 (#4090)
- first draft on guide to authenticate @warunicorn19 (#4252)

## 👨🏽‍💻 Contributors

Thank you to our contributors for making this release possible:
@DelusionalOptimist, @Meghana-12, @Revolyssup, @adithyaakrishna, @alphaX86, @bariqhibat, @dependabot, @dependabot[bot], @dhruv0000, @krithikvaidya, @leecalcote, @manav1403, @navendu-pottekkat, @piyushsingariya, @sudo-NithishKarthik, @utkarsh-pro, @vedant-kakde and @warunicorn19
